XreplyAIDevelopers
API ReferenceSchedules & Plans

Update a posting schedule

Requires scope: `schedules:write` and a write role. Updates schedule settings and/or its slots.

PATCH
/posting_schedules/{id}
AuthorizationBearer <token>

A personal API key created in the dashboard (Starter, Pro, and Team plans).

In: header

Path Parameters

id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/posting_schedules/0" \  -H "Content-Type: application/json" \  -d '{    "posting_schedule": {      "max_posts_per_day": 2,      "paused": true    }  }'
{  "posting_schedule": {    "id": 0,    "social_account_id": 0,    "timezone": "string",    "min_gap_minutes": 0,    "max_posts_per_day": 0,    "paused": true,    "jitter_enabled": true,    "anti_duplicate_enabled": true,    "min_gap_enabled": true,    "max_per_day_enabled": true,    "evergreen_fill_enabled": true,    "evergreen_ai_refresh_enabled": true,    "posting_slots": [      {        "id": 0,        "day_of_week": 0,        "time_of_day": "string",        "enabled": true,        "source": "manual"      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}